All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
PwmssUdt Class Reference

Structure for PWMSS subsystem features, containing all variables to handle the subsystems. More...

## Public Member Functions

| PwmssUdt (BYVAL_AS_Pruio__PTR)
| Constructor for the PWMSS subsystem configuration. More...
FUNCTION_CDECL_AS_ZSTRING_PTR | initialize ()
| Initialize the register context after running the pasm_init.p instructions (private). More...

## Public Attributes

Pruio__PTR | Top
| Pointer to the calling PruIo instance.
PwmssSet_PTR | Init [PRUIO_AZ_PWMSS+1]
| Initial subsystem configuration, used in the destructor PruIo::~PruIo.
PwmssSet_PTR | Conf [PRUIO_AZ_PWMSS+1]
| Current subsystem configuration, used in PruIo::config().
PwmssArr_PTR | Raw [PRUIO_AZ_PWMSS+1]
| Pointer to current raw subsystem data (IO).
UInt32 | InitParA
| Initial parameters offset.
CONST_UInt16 | PwmMode = &b1011010000
| Value for ECCTL2 in PWM mode.
CONST_UInt16 | CapMode = &b0011010110
| Value for ECCTL2 in CAP mode.

## Detailed Description

Structure for PWMSS subsystem features, containing all variables to handle the subsystems.

This UDT contains (only) the configuration of the three PWMSS subsystems in the CPU. The functions to drive the hardware are in separate UDTs, to make the API more easy to understand. See UDTs PwmMod, CapMod and ŗef QepMod for details.

Since
  0.2

Definition at line 164 of file pruio_pwmss.bi.

## Constructor & Destructor Documentation

PwmssUdt::PwmssUdt | ( | BYVAL_AS_Pruio__PTR | T | ) |

Constructor for the PWMSS subsystem configuration.

Parameters

  T | A pointer of the calling PruIo structure.

The constructor prepares the DRam parameters to run the pasm_init.p instructions. The adresses of the subsystems and the adresses of the clock registers get prepared, and the index of the last parameter gets stored to compute the offset in the Init and Conf data blocks.

Since
  0.2

Definition at line 26 of file pruio_pwmss.bas.

Here is the caller graph for this function:

## Member Function Documentation

FUNCTION_cdecl_AS_zstring_ptr PwmssUdt::initialize | ( |  | ) |

Initialize the register context after running the pasm_init.p instructions (private).

Returns
  Zero on success (may return an error string in future versions).

This is a private function, designed to be called from the main constructor PruIo::PruIo(). It sets the pointers to the Init and Conf structures in the data blocks. And it initializes some register context, if the subsystem woke up and is enabled.

Since
  0.2

Definition at line 54 of file pruio_pwmss.bas.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- src/pruio/pruio_pwmss.bi
- src/pruio/pruio_pwmss.bas